﻿using System.Collections.Generic;
using System.Linq;
using Bootstrap_Popup_EF_Insert_MVC_Core.Models;
using Microsoft.AspNetCore.Mvc;
namespace Bootstrap_Popup_EF_Insert_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(Customer customer)
        {
            this.Context.Customers.Add(customer);
            this.Context.SaveChanges();

            //Fetch the CustomerId returned via SCOPE IDENTITY.
            int id = customer.CustomerId;

            return View(customer);
        }
    }
}